<div class="col-8 offset-2 mt-3">
  <h3>{{pageTitle}}</h3>
  <hr>
  <div class="d-flex justify-content-center">
    <div class="card mb-3 col-10" *ngIf="post">
      <div class="row no-gutters">
        <div class="col-md-4">
          <img src="{{url  +'post/getImage/'+ post.image}}" class="card-img" *ngIf="post.image">
          <img src="{{url  +'post/getImage/no-img.png'}}" class="card-img" *ngIf="!post.image">
        </div>
        <div class="col-md-8">
          <div class="card-body">
            <h5 class="card-title">{{post.title}}</h5>
            <p class="card-text" [innerHtml]="post.content"></p>
            <p class="card-text"><small class="text-muted"> Creado por <a [routerLink]="['/profile',post.user.id]">{{post.user.name +' '+post.user.surname}}</a>, el
                {{ (post.createdAt.timestamp | amFromUnix) | amDateFormat:'DD/MM/YY hh:mmA' }}</small></p>
            <p class="card-text" *ngIf="post.updatedAt"><small class="text-muted"> Actualizado:
                {{ (post.updatedAt.timestamp | amFromUnix) | amDateFormat:'DD/MM/YY hh:mmA' }}</small></p>
            <div class="d-flex justify-content-center">
              <a class="btn btn-lg btn-warning mr-5" [routerLink]="['/post/edit',post.id]" *ngIf="identity && identity.sub==post.user.id">Editar</a>
              <a class="btn btn-lg btn-danger" style="cursor:pointer" data-toggle="modal" data-target="#deleteModal" *ngIf="identity && identity.sub==post.user.id">Borrar</a>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--Modal-->
    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Confirmar borrado</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            ¿Estás seguro de que quieres borrar esta publicación?
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
            <button type="button" class="btn btn-danger" (click)="delete()" data-dismiss="modal">Sí, Borrar</button>
          </div>
        </div>
      </div>
    </div>

  </div>
</div>